<?php

namespace WeDevs\AppBridge\Core;

use WeDevs\AppBridge\Core\Contracts\IntegrationInterface;

abstract class AbstractIntegration implements IntegrationInterface {

	/**
	 * {@inheritdoc}
	 */
	public function hookables(): array {
		return [];
	}

	/**
	 * {@inheritdoc}
	 */
	public function conditional_hookables(): array {
		return [];
	}

	/**
	 * {@inheritdoc}
	 */
	public function rest_controllers(): array {
		return [];
	}

	/**
	 * {@inheritdoc}
	 */
	public function menus(): array {
		return [];
	}

	/**
	 * {@inheritdoc}
	 */
	public function event_catalogs(): array {
		return [];
	}

	/**
	 * {@inheritdoc}
	 */
	public function event_option_keys(): array {
		return [];
	}
}
